module top 
(
  input  CLK,
  output [2:0] LED,
  
  input  bscan_CAPTURE,
  input  bscan_DRCK,
  input  bscan_RESET,
  input  bscan_RUNTEST,
  input  bscan_SEL,
  input  bscan_SHIFT,
  input  bscan_TCK,
  input  bscan_TDI,
  input  bscan_TMS,
  input  bscan_UPDATE,
  output bscan_TDO
);

  reg [25:0] reg_cnt;
  wire       nRST;
  wire [2:0] LED;
  
  always@(posedge CLK)
  begin
    if (!nRST)
      reg_cnt <= 26'h0;
    else
      reg_cnt <= reg_cnt + 26'h1;
  end
  
  assign LED = reg_cnt[25:23];
  
  
  // Debug Core のインスタンス
  edb_top edb_top_inst (
    .bscan_CAPTURE      ( bscan_CAPTURE ),
    .bscan_DRCK         ( bscan_DRCK    ),
    .bscan_RESET        ( bscan_RESET   ),
    .bscan_RUNTEST      ( bscan_RUNTEST ),
    .bscan_SEL          ( bscan_SEL     ),
    .bscan_SHIFT        ( bscan_SHIFT   ),
    .bscan_TCK          ( bscan_TCK     ),
    .bscan_TDI          ( bscan_TDI     ),
    .bscan_TMS          ( bscan_TMS     ),
    .bscan_UPDATE       ( bscan_UPDATE  ),
    .bscan_TDO          ( bscan_TDO     ),
    .vio0_clk           ( CLK           ),
    .vio0_led           ( LED           ),
    .vio0_reset         ( nRST          ),
    .la0_clk   (CLK),
    .la0_led   (LED),
    .la0_reset (nRST)
);

endmodule